//
// core.h
//
// Author: Nicolas Burrus <nicolas.burrus@ensta.fr>, (C) 2007
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//

#ifndef   	NTK_CORE_H_
# define   	NTK_CORE_H_

# include <vcl_config_headers.h>
# include <vcl_limits.h>
# include <vxl_config.h>

# include <vnl/vnl_math.h>

# include <boost/shared_ptr.hpp>

# include <src/juce_WithoutMacros.h>
#ifdef check // this macro is defined on mac os x in AssertMacros.h
# undef check
#endif

#ifndef FLT_MAX
# define FLT_MAX vcl_numeric_limits<double>::max()
#endif

#ifndef M_PI
# define M_PI vnl_math::pi
#endif

namespace ntk {

  using boost::shared_ptr;

}

# include <ntk/utils/common.h>

#endif	    /* !NTK_CORE_H_ */
