//
// per_thread_logger.cc
//
// Author: Nicolas Burrus <nicolas.burrus@ensta.fr>, (C) 2007
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//

#include "per_thread_logger.h"

PerThreadLogger* PerThreadLogger :: getInstance()
{
  static PerThreadLogger* instance = 0;
  if (!instance) instance = new PerThreadLogger();
  return instance;
}

void PerThreadLogger :: logMessage (const String &message)
{
  Logger* thread_logger = 0;
  Thread* cur_thread = Thread::getCurrentThread();
  vcl_map<const Thread*, ThreadLogger*>::const_iterator it = m_loggers.find(cur_thread);
  if (it != m_loggers.end())
  {
    it->second->logMessage(message);
  }
  else
  {
    outputDebugString(message);
  }
}
