//
// plot_component.h
//
// Author: Nicolas Burrus <nicolas.burrus@ensta.fr>, (C) 2007
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//

#ifndef NTK_GUI_plot_component_H
# define NTK_GUI_plot_component_H

# include <ntk/ntk.h>

class PlotComponent : public juce::Component, public SettableTooltipClient
{
  public:  
    juce_UseDebuggingNewOperator

  public:
    void setPlot(const vcl_map<double,double>& points,
                 double xmin, double xmax, double ymin, double ymax);

  public:
    virtual void paint(Graphics& g);
    virtual void mouseDown(const MouseEvent& e);

  private:
    vcl_map<double,double> m_plot;
    vcl_pair<double,double> m_x_range;
    vcl_pair<double,double> m_y_range;
    Path m_path;
};

#endif // ndef NTK_GUI_plot_component_H
