/*
** debug.cc
** Login : <nicolas.burrus@ensta.fr>
** Started on  Wed Oct 18 14:53:34 2006 Nicolas Burrus
** $Id$
**
** Copyright (C) 2006 Nicolas Burrus
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#include <ntk/utils/debug.h>

#include <vcl_iostream.h>

namespace ntk
{
  int ntk_debug_level = 0;
    
  void assert_failure(const char* where, const char* what, const char* cond)
  {
    vcl_cerr << "ASSERT failure in " << where << ": " << what 
        << " [" << cond << "]" << vcl_endl;
    abort();
  }
  
  void fatal_error(const char* what, int code)
  {
    vcl_cerr << "FATAL failure: " << what << vcl_endl;
    exit(code);
  }

}

const NtkDebug& operator<<(const NtkDebug& d, const PropertySet& set)
{
  // No const getAllProperties in Juce PropertySet.
  const StringPairArray& array = const_cast<PropertySet&>(set).getAllProperties();
  const StringArray& keys = array.getAllKeys();
  for (int i = 0; i < keys.size(); ++i)
    d << "[" << keys[i] << "] => [" << array[keys[i]] << "]\n";
  return d;
}
